@use "button";
@use "colors";
@use "core";
@use "fonts";
@use "variables";

/* Mobile view */
@media only screen and (max-width: variables.$mobile-width) {
    .header.desktop {
        display: none;
    }

    .navigation.desktop {
        text-align: center;
        margin-top: 8px;
    }
}

@media not screen and (max-width: variables.$mobile-width) {
    .header.mobile {
        display: none;
    }

    .navigation.mobile {
        text-align: inherit;
    }
}

.toolbar {
    display: flex;
    justify-content: center;
    background-color: colors.$header-background;
    color: colors.$header-black;


    .header {
        width: 100%;

        &.mobile {
            padding-top: 8px;
            padding-bottom: 8px;

            .menu-content {
                width: 100%;
                max-height: 500px;
                position: relative;
                overflow: hidden;
                transition: max-height 0.3s linear;

                &.hidden {
                    max-height: 0px;
                    transition: max-height 0.3s linear;
                }

                .menu-item {
                    padding-bottom: 0.2em;
                }
            }

            .selector.languages {
                position: absolute;
                left: 50%;
                transform: translate(-50%, 0);
            }

            .donate.menu-item {
                margin: 1.3rem 0;
                font-size: 1.4rem;
                padding: 0.2em 1.0em;
            }
        }

        .selector.languages {
            font-size: 1.4rem;
            line-height: 1.625rem;
            width: 80px;
            font-weight: 400;

            border-right-style: none;
            padding-right: none;

            color: colors.$header-gray;

            .selected {
                color: colors.$header-black;
            }
        }
    }
}

.navigation {
    color: colors.$header-black;
    font-family: fonts.$header-font;
    font-weight: bold;
    font-size: 1.5rem;
    line-height: 2.5rem;
    text-transform: uppercase;
    border-bottom: none;

    &.mobile {
        position: relative;
        margin: 8px auto;
        text-align: center;
        @include core.fit-content-width;
    }

    &.desktop {
        padding-top: 12px,
    }

    a {
        color: colors.$header-black;
    }

    a:hover {
        text-decoration: none;
    }

    a:active {
        border-bottom: 4px solid colors.$header-black;
    }

    .selected {
        a {
            border-bottom: 4px solid colors.$header-black;
        }
    }

    .donate.menu-item {

        a {
            border-bottom: none;
            @include button.button;
            @include button.secondary;
        }
    }


}

.menu {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 1.3rem;
    height: 72px;

    .icon-menu-item img {
        height: 64px,
    }

    .menu-item {
        margin: 0px 0.5em,
    }

    .donate.menu-item {
        padding-bottom: 0.2em,
    }
}

@media screen and (min-width: 1300px) {

    .menu {
        justify-content: center;

        .icon-menu-item {
            position: absolute;
            left: 10px;
            bottom: -8px;
        }

        div:first-of-type {
            margin-left: calc((100% - #{variables.$max-width})/ 2);
        }

        .donate.menu-item {
            margin-right: calc((100% - #{variables.$max-width}) / 2);
            margin-left: auto;


        }
    }
}

.submenu-container {
    transition: opacity 0.3s ease-in, border-bottom 0.3s ease-in, height 0.3s ease-in, padding-top 0.3s ease-in, visibility 0.3s ease-in;
    /* Transition effect when sliding down (and up) */
    height: 40px;

    &.hidden {
        border-bottom: initial;
        padding: 0px;
        opacity: 0;
        height: 0;
        visibility: hidden;

        .submenu-separator {
            opacity: 0;
        }
    }

    .submenu-separator {
        display: none;
    }
}

.submenu {
    font-family: fonts.$title-font;
    font-weight: bold;
    font-size: 1.5rem;
    padding-top: 8px;

    &.desktop {
        $header-padding: calc((100% - #{variables.$max-width})/ 2);

        display: flex;
        justify-content: flex-end;
        align-items: center;
        padding-left: $header-padding;

        >* {
            flex: 0;
            padding-left: 24px;
        }

        >:first-child {
            flex: 1;
            padding-left: 0;
        }
    }

    &.mobile {
        display: flex;
        flex-direction: column;
        align-items: center;

        .contribution-container {
            padding-top: 16px;
            padding-bottom: 8px;

            .social-links {
                margin: 0 auto 1rem auto;
                width: 160px;
            }
        }
    }

    .MuiSvgIcon-root {
        font-size: 1.625rem;
    }
}

.drawer-right {
    width: 200px;
    padding-left: 20px;
}